import { defineStore } from "pinia";
import { useSessionStore } from "./session";

export const useAPI = defineStore("api", {
    actions: {
        GET(path : string) {
            const sessionStore = useSessionStore();
            return fetch("/api/v1" + path, {
                headers: sessionStore.AuthHeaders,
            })
        },
        POST(path : string, body : FormData | string | null) {
            const sessionStore = useSessionStore();
            return fetch("/api/v1" + path, {
                method: "POST",
                headers: sessionStore.AuthHeaders,
                body: body,
            })
        },
        DELETE(path : string) {
            const sessionStore = useSessionStore();
            return fetch("/api/v1" + path, {
                method: "DELETE",
                headers: sessionStore.AuthHeaders,
            })
        },
    }
});